[Bug 24043] New: scripts/Python/modules/readline needs libpthread and libdl

Bug ID 24043
Summary scripts/Python/modules/readline needs libpthread and libdl
Product lldb
Version unspecified
Hardware PC
OS Linux
Status NEW
Severity normal
Priority P
Component All Bugs
Assignee lldb-dev@cs.uiuc.edu
Reporter eugene.zelenko@gmail.com
Classification Unclassified

Created attachment 14556 [details]
My patch for this problem

libpthread and libdl should be added to
scripts/Python/modules/readline/CMakeLists.txt to avoid link errors. I built
LLDB on RHEL 6.

My patch valid only on Linux. Other platform may have different dependencies.

Todd Fiala changed bug 24043

What | Removed | Added |

Comment # 2 on bug 24043 from Todd Fiala

I'll look at this patch as soon as the other libedit readline patch clears.